<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" /> 

<html>
<head><title>Imprimir Seguimiento</title></head>
<style type="text/css" media="all">@import "./estilos.css";</style>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel="icon" type="image/png" href="imagenes/hdIcon.png" /> 

<?php    
  include("conexionOdo.php");
  
  session_start();    
  $s_idUsuario    = $_SESSION['idUsuario'];
  $s_nitEmpresa   = $_SESSION['nitEmpresa'];
  $s_codSede      = $_SESSION['codSede'];
  
  $le = $_GET['lin'];
  $lin   = base64_decode($le);
  $linea = explode("/", $lin);
  $s_cotizacion = $linea[0];
  $s_tipoId     = $linea[1];
  $s_numId      = $linea[2];
 
  // TRAE DATOS DEL PACIENTE
  $query = "SELECT * FROM `SIME_BAS_PACIENTE` WHERE `tipoId` = '$s_tipoId' AND `idPaciente` =  $s_numId";
  $result = mysql_query($query) or die('Consulta de paciente fallida: ' . mysql_error());
  $line = mysql_fetch_array($result, MYSQL_ASSOC);
  $s_apell1Paciente   = $line["apell1Paciente"]; 
  $s_apell2Paciente   = $line["apell2Paciente"]; 
  $s_nomPaciente      = $line["nomPaciente"]; 
  $s_nomPaciente2     = $line["nomPaciente2"]; 
  
  //TRAE ENCABEZADO Y CONDICIONES DE LA COTIZACION 
  $query = " SELECT * FROM SIO_COTIZACION WHERE numCotizacion=$s_cotizacion";   
  $result = mysql_query($query) or die('Consulta de condiciones de la cotizacion fallida: ' . mysql_error());    
  $line = mysql_fetch_array($result, MYSQL_ASSOC);
    
   $s_cInicialPs = number_format($line['cuotaInicialPesos']);
   $saldo = $line['valor'] - $line['cuotaInicialPesos'];
   $s_CinicialPo = number_format($line['cuotaInicialPor']);
   $s_saldoPs    = number_format($saldo);
   $s_numCuotas  = number_format($line['numCuotas']);
   $s_vlrCuota   = number_format($line['valorCuota']);
   $s_fechaVenc  = $line['fechaVencimiento'];
   $s_observa    = $line['observaciones'];
   $w_fecha      = date("Y-m-d",time());
   
   if($s_formaPago=="CO"){
     $s_formaPago="Contado";
   }
   else{
     $s_formaPago="Cr&eacute;dito";
   }
  
  /////TRAE LOGO
  $logoEx = "imagenes/logos/logo".$s_nitEmpresa.".jpg"; 
  if (file_exists($logoEx)) {
      $logoPre=$logoEx;
  } else {
     $logoPre="imagenes/logo.jpg";
  }
  //src="imagenes/logo.jpg"
  /////FIN TRAE LOGO
  /*----------------------------------------------------------------- */
?>

<body onload="window.print();">
  <table width='960' align="center">
    <tr>
      <td><img src=<?=$logoPre?> alt="Logo Compania" width="210" height="112"/> </td>
      <td align="right" style="font-size:12px;" >Cotizaci&oacute;n No.: <b><?=$s_cotizacion?></b></td>
    </tr>
  </table>     
  
  <table align="center" border="0" width="960">
    <tr class="camposTabla">
       <td colspan="5"><HR width=100% align="center"></td>
    </tr>
    
    <tr class="negrita">
      <td align ="center" colspan="5">COTIZACION DE SERVICIOS ODONTOLOGICOS</td>
    </tr>
    <tr class="camposTabla">
       <td colspan="5"><HR width=100% align="center"></td>
    </tr>
  
    <tr class="camposTabla"> 
      <td>Fecha de Cotizaci&oacute;n:</td>
      <td align="left"><b><?=$w_fecha?></b></td>  
      <td>Fecha de Vencimiento:</td> 
      <td align="left"><b><?=$s_fechaVenc?></b> </td>   
    </tr> 
    
    <tr class="camposTabla"> 
      <td>Paciente:</td> 
      <td align="left">
        <b><?=$s_tipoId?>  <?=$s_numId?> - <?=$s_nomPaciente?> <?=$s_nomPaciente2?> <?=$s_apell1Paciente?> <?=$s_apell2Paciente?></b>
      </td> 
    </tr> 
    
    <tr class="camposTabla">
       <td colspan="5"><HR width=100% align="center"></td>
    </tr>
  </table> 

<?php 
 $sumaTotal = 0;
 //arma tabla diagnosticos y procedimientos elegidos
 $query = " SELECT A.*,  B.descripcion, C.nomCie10, D.desTratamiento" .
                  " FROM SIO_COTIZACION_DET A, SIO_PROC_POS B, SIO_CIE10 C, SIO_LIS_TRAT D ".
                  " WHERE A.numCotiza = $s_cotizacion AND ".
                  "       A.codCups  = B.cups AND ". 
                  "       A.codCie10 = C.codCie10 AND ".
                  "       A.codEspecialidad = D.codTratamiento order by A.numDiente"; 
 $result = mysql_query($query) or die('Consulta de diagnosticos y procedimientoos fallida: ' . mysql_error());
        
 $k=0;
 while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
   $codMed    = $line["codMedPos"];
   $s_cuadrante       = $line['cuadrante'];
   $s_numDiente       = $line['numDiente'];
   $s_caraDiente      = $line['caraDiente'];
   $_codCie10         = $line['codCie10'];
   $s_nomCie10        = $line['nomCie10'];
   $s_descripcion     = $line['descripcion'];
   $s_desTratamiento  = $line['desTratamiento']; 
   $s_valor           = $line['valor'];
   $sumaTotal         = $sumaTotal + $s_valor;
   $valor1            = number_format($s_valor);
   $s_observaciones   = $line['observaciones'];    
   $sumaTotal1 = number_format($sumaTotal);
          
   echo("<table class='camposTabla' align='center' width='960' border='0' cellpading='0'>\n");
    if ($k==0){// para mostrar titulos 
      echo ("<tr>\n");
        echo("<td class='titulosTabla' align='center' colspan='7'>LISTA DE DIAGNOSTICOS Y PROCEDIMIENTOS COTIZADOS</td>\n");
      echo("</tr>\n");
      echo("<tr>\n");
        echo("<td width='15%' class='negrita'>Cuadrante/Diente/Cara </td>\n");
        echo("<td width='20%' class='negrita'>Diagn&oacute;stico</td>\n");
        echo("<td width='40'%' class='negrita'>Procedimiento</td>\n");
        echo("<td width='15%' class='negrita'>Especialidad</td>\n");
        echo("<td width='10%' align='center' class='negrita'>Valor</td>\n"); 
      echo("</tr>\n");
    }       
    echo ("<tr>\n");

    echo("<td width='15%' align='center' class='camposTabla'>$s_cuadrante-$s_numDiente-$s_caraDiente</td>\n");
      echo("<td width='20%'class='camposTabla1' align='left'>$s_nomCie10</td>\n");
      echo("<td width='40%' class='camposTabla1' align='left'>$s_descripcion</td>\n");
      echo("<td width='15%' class='camposTabla1' align='left'>$s_desTratamiento</td>\n");
      echo("<td width='10%' align='right'>$valor1</td>\n");          
     echo("</tr>\n");
        
   $k = $k+1;
 }//while
                  
 echo("</table>\n");          
     
?>
<?php
 if ($k>0){
   include("montoEscrito.php");
   $letras=numerotexto($sumaTotal); 
   $letras=$letras . " pesos";
?>  
  <table align='center' width='960' border='0' cellpading='0'>
    <tr height="35">
      <td width="20%" align="left"><b>Valor Total:</b></td>
      <td width="60%"align="left"><i>Son: <?=$letras?></i></td>
      <td width="20%"align="right"><b>$ <?=$sumaTotal1?></b></td>
    </tr>
  </table>
<?php
 }
?>

<table align='center' width='960' border='0' cellpading='0'>
   <tr class="negrita">
      <td align ="left" colspan="8">CONDICIONES DE LA COTIZACION</td>
   </tr>
   <tr class="camposTabla">
       <td colspan="8"><HR width=100% align="center"></td>
   </tr>
   <tr>
     <td class="camposTabla">Forma de Pago:</td>
     <td class="negrita" align="left"><?=$s_formaPago?></td>
     <td class="camposTabla">% Cuota Inicial:</td>
     <td class="negrita" align="left"><?=$s_CinicialPo?>%</td>
     <td class="camposTabla">Cuota Inicial:</td>
     <td class="negrita" align="left">$ <?=$s_cInicialPs?></td>
     <td class="camposTabla">Saldo:</td>
     <td class="negrita" align="left">$ <?=$s_saldoPs?></td>
   </tr>
   <tr>
     <td class="camposTabla">No. de Cuotas:</td>
     <td class="negrita" align="left"><?=$s_numCuotas?></td>
     <td class="camposTabla">Valor de la Cuota:</td>
     <td class="negrita" align="left">$ <?=$s_vlrCuota?></td>
     <td class="camposTabla">Fecha de vencimiento:</td>
     <td class="negrita" align="left"><?=$s_fechaVenc?></td>
   </tr>
   <tr class="camposTabla">
       <td colspan="8"><HR width=100% align="center"></td>
   </tr>
   <?php
   if ($s_observa !="")
    {
   ?>
   <tr>
    <td class="negrita" align="left">Observaciones adicionales:</td>
   <tr> 
   <tr>
    <td class="camposTabla"><?=$s_observa?></td>
   <tr> 
   <tr class="camposTabla">
       <td colspan="8"><HR width=100% align="center"></td>
   </tr>
   <?php
    }
   ?> 
 </table>    
 
 <?php
  ///////////////////////////////////////////////////
  ////////////IMPRIME PIES DE PAGINA////////////////
  ///////////////////////////////////////////////////
  $query = "SELECT * FROM SIME_BAS_FOOT WHERE nitEmpresa=$s_nitEmpresa";
  $result = mysql_query($query) or die ('Consulta pies de pagina fallida: ' . mysql_error());
  $linea  = mysql_fetch_array($result, MYSQL_ASSOC);
  $s_linFormula     = $linea['linFormula'];  
  $s_linIncapacidad = $linea['linIncapacidad'];
  $s_segundaLinea   = $linea['linDos']; 
  $s_terceraLinea   = $linea['linTres'];  
  $s_cuartaLinea    = $linea['linCuatro'];
?>
    
<table width='890' border="0" align="center">  
  <tr>
     <td width="70%">
     </td>
  </tr>
  <tr class='camposTabla'>
    <td colspan="2" align="center">
       <?=$s_segundaLinea?>
    </td>
  <tr>
  <tr class='camposTabla'>
    <td colspan="2" align="center">
       <?=$s_terceraLinea?>
    </td>
  <tr>
  <tr class='camposTabla'>
    <td colspan="2" align="center">
       <?=$s_cuartaLinea?>
    </td>
  <tr>
</table> 
  
</body>
</html>  